Mailinglist Archive: opensuse-updates (120 mails)

< Previous Next >
openSUSE-RU-2013:1650-1: moderate: update for postgresql
openSUSE Recommended Update: update for postgresql
______________________________________________________________________________

Announcement ID: openSUSE-RU-2013:1650-1
Rating: moderate
References:
Affected Products:
openSUSE 11.4
______________________________________________________________________________

An update that has 0 recommended fixes can now be installed.

Description:

Postgresql was update to version 9.0.14 fixes following
bugs:

* Prevent downcasing of non-ASCII
non-double-quoted identifiers in multi-byte encodings
(Andrew Dunstan)
* Fix checkpoint memory leak in background writer
when wal_level = hot_standby (Naoya Anzai)
* Fix memory leak caused by lo_open() failure
(Heikki Linnakangas)
* Fix memory overcommit bug when work_mem is
using more than 24GB of memory (Stephen Frost)
* Fix libpq SSL deadlock bug (Stephen Frost)
* Fix possible SSL network stack corruption in
threaded libpq applications (Nick Phillips, Stephen Frost)
* Properly compute row estimates for boolean
columns containing many NULL values (Andrew Gierth)
* Previously tests like col IS NOT TRUE and col
IS NOT FALSE did not properly factor in NULL values when
estimating plan costs.
* Prevent pushing down WHERE clauses into unsafe
UNION/INTERSECT subqueries (Tom Lane)
* Fix rare GROUP BY query error caused by
improperly processed date type modifiers (Tom Lane)
* Allow view dump code to better handle dropped
columns on base tables (Tom Lane)
* Properly record index comments created using
UNIQUE and PRIMARY KEY syntax (Andres Freund)
* Fix REINDEX TABLE and REINDEX DATABASE to
properly revalidate constraints and mark invalidated
indexes as valid (Noah Misch)
* REINDEX INDEX has always worked properly.
* Fix possible deadlock during concurrent CREATE
INDEX CONCURRENTLY operations (Tom Lane)
* Fix regexp_matches() handling of zero-length
matches (Jeevan Chalke)
* Fix crash for overly-complex regular
expressions (Heikki Linnakangas)
* Fix regular expression match failures for back
references combined with non-greedy quantifiers (Jeevan
Chalke)
* Prevent CREATE FUNCTION from checking SET
variables unless function body checking is enabled (Tom
Lane)
* Allow ALTER DEFAULT PRIVILEGES to operate on
schemas without requiring CREATE permission (Tom Lane)
* Loosen restriction on keywords used in queries
(Tom Lane)
* Fix pgp_pub_decrypt() so it works for secret
keys with passwords (Marko Kreen)
* Remove rare inaccurate warning during vacuum of
index-less tables (Heikki Linnakangas)
* Improve analyze statistics generation after a
cancelled file truncate request (Kevin Grittner)
* Avoid possible failure when performing
transaction control commands (e.g ROLLBACK) in prepared
queries (Tom Lane)
* Allow various spellings of infinity on all
platforms (Tom Lane)
* Expand ability to compare rows to records and
arrays (Rafal Rzepecki, Tom Lane)
* Update time zone data files to tzdata release
2013d for DST law changes in DST law changes in Israel,
Morocco, Palestine, Paraguay. Also, historical zone data
corrections for Macquarie Island (Tom Lane)


Patch Instructions:

To install this openSUSE Recommended Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4:

zypper in -t patch 2013-159

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4 (i586 x86_64):

libecpg6-9.0.14-35.1
libecpg6-debuginfo-9.0.14-35.1
libpq5-9.0.14-35.1
libpq5-debuginfo-9.0.14-35.1
postgresql-9.0.14-35.1
postgresql-contrib-9.0.14-35.1
postgresql-contrib-debuginfo-9.0.14-35.1
postgresql-debuginfo-9.0.14-35.1
postgresql-debugsource-9.0.14-35.1
postgresql-devel-9.0.14-35.1
postgresql-devel-debuginfo-9.0.14-35.1
postgresql-libs-debugsource-9.0.14-35.1
postgresql-plperl-9.0.14-35.1
postgresql-plperl-debuginfo-9.0.14-35.1
postgresql-plpython-9.0.14-35.1
postgresql-plpython-debuginfo-9.0.14-35.1
postgresql-pltcl-9.0.14-35.1
postgresql-pltcl-debuginfo-9.0.14-35.1
postgresql-server-9.0.14-35.1
postgresql-server-debuginfo-9.0.14-35.1

- openSUSE 11.4 (x86_64):

libpq5-32bit-9.0.14-35.1
libpq5-debuginfo-32bit-9.0.14-35.1

- openSUSE 11.4 (noarch):

postgresql-docs-9.0.14-35.1

- openSUSE 11.4 (ia64):

libpq5-debuginfo-x86-9.0.14-35.1
libpq5-x86-9.0.14-35.1


References:



< Previous Next >
This Thread
  • No further messages